cURL
curl --request POST \
--url https://api.langtail.com/v2/threads/{threadId}/messages/{messageId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <x-api-key>' \
--data '
{
"metadata": {
"my_key": "my key value"
}
}
'import requests
url = "https://api.langtail.com/v2/threads/{threadId}/messages/{messageId}"
payload = { "metadata": { "my_key": "my key value" } }
headers = {
"X-API-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {my_key: 'my key value'}})
};
fetch('https://api.langtail.com/v2/threads/{threadId}/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"threadId": "<string>",
"metadata": {
"my_key": "my key value"
},
"deletedAt": "2023-11-07T05:31:56Z",
"content": [
{
"role": "user",
"content": "Hello"
}
],
"requestLogId": "<string>"
}{
"error": {
"message": "Metadata is required"
}
}{
"error": {
"message": "Message not found"
}
}Assistant messages in threads
Update Thread Message
Updates the metadata of a specific message within a thread.
POST
/
v2
/
threads
/
{threadId}
/
messages
/
{messageId}
cURL
This endpoint allows you to update the metadata of a specific message within a thread. It’s useful for adding or modifying additional information associated with a message without changing its core content.
Headers
Your Langtail API Key
Example:
"<LANGTAIL_API_KEY>"
Path Parameters
The ID of the thread containing the message.
The ID of the message to update.
Body
application/json
Set of key-value pairs that you can attach to the message. This can be useful for storing additional information about the message in a structured format.
Example:
{ "my_key": "my key value" }
Response
Successful response
The unique identifier for the message.
The timestamp when the message was created.
The ID of the thread this message belongs to.
A set of key-value pairs that can be attached to the message.
Example:
{ "my_key": "my key value" }
The timestamp when the message was deleted.
Additional messages. These will be appended to the Prompt Template.
Show child attributes
Show child attributes
Example:
[{ "role": "user", "content": "Hello" }]
The ID of the associated request log, if available.
Was this page helpful?